require "zenturio_batteries/base/generator"

=begin
 Class for generating production configuration files for several web servers

 Supported options:
 1. Nginx + Unicorn
 2. %todo% 
=end
class ZenturioBatteries::Configs
  include ZenturioBatteries::Base::Generator

  def available_options
    [
      {:label=>'Generate production config for: Nginx + Unicorn', :handler => :unicorn}
    ]
  end

  protected

  # Handler for `Nginx + Unicorn` option
  def unicorn
    [
      {:source => '/configs/unicorn.erb', :destination=>'/unicorn.rb'},
      {:source => '/configs/unicorn_nginx.erb', :destination=>'/nginx.conf'},
    ]
  end

end